[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TShortCutEvent

Type used for an OnShortcut event handler.

## Declaration

Source position: forms.pp line 507

`type TShortCutEvent = procedure(`
`var Msg: TLMKey;`
`var Handled: Boolean`
`) of object;`

## Arguments

`Msg` |  | The key event message.
`Handled` |  | Set Handled to True to prevent further processing of the key.

## Description

A shortcut handler is invoked when a key is pressed, before any other processing. It can interpret the key as an shortcut and act accordingly. In this case, Handled should be set to True to prevent further processing of the key.